org.apache.catalina.util

## Class ServerInfo

- java.lang.Object
- - org.apache.catalina.util.ServerInfo

-     public class ServerInfo
      extends Object

  Simple utility module to make it easy to plug in the server identifier when integrating Tomcat.
  Author:
    Craig R. McClanahan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getServerBuilt()`
    `static String` | `getServerInfo()`
    `static String` | `getServerNumber()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerInfo

          public ServerInfo()

  - ### Method Detail

    - #### getServerInfo

          public static String getServerInfo()

      Returns:
        the server identification for this version of Tomcat.

    - #### getServerBuilt

          public static String getServerBuilt()

      Returns:
        the server built time for this version of Tomcat.

    - #### getServerNumber

          public static String getServerNumber()

      Returns:
        the server's version number.

    - #### main

          public static void main(String[] args)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.